Create Azure Data Source

Create a new data source from Azure data. Returns a jobId that can be used to check the status of the operation through the Get "Create Azure Data Source" Job Status endpoint.

Create a new data source from Azure data.

Returns a jobId that can be used to get the status from Get "Create Azure Data Source" Job Status.

This endpoint supports two valid request body formats:

  • Multipart/form-data
    • This is generally exported from your Azure Command-Line Interface (CLI)
  • JSON
📘

This endpoint starts a long-running job. For more information, see Job-based (asynchronous) endpoints.


Valid Authentication Methods

API Key Grants:

  • CloudEdit

OAuth 2.0 User Token and Account Token Scopes:

  • cloud.datasource

Create Azure Data Source from File

Body Params

ParameterTypeDescription
azureclijson.json file (required)The Azure-CLI-generated JSON file from which to create the new data source
displayNamestring (optional)When provided, the name to give the created data source. When not provided, the filename of the JSON file is used.

        curl 'https://api.lucid.app/dataSources/azure'\
          --request 'POST'\
          --header 'Authorization: Bearer <OAuth 2.0 Access Token>'\
          --header 'Lucid-Api-Version: 1'\
          --header 'content-type: multipart/form-data'

Create Azure Data Source from JSON Body


Body Params
string
required

The name to give the data source

string
^azure_[0-9]+$

The ID of the existing Azure credential to use to create the data source

uuid
required

The ID of the Azure directory which contains the data from which to create the data source

subscriptionIds
array of strings
required

The IDs of the subscriptions which contain the data from which to create the data source

subscriptionIds*
resourceSelection
array of strings
required

The Azure resources to include in the data source. Use the "Get Fully Supported Azure Resources" endpoint to see a list of all supported resources.

resourceSelection*
Responses

400

Bad Request. Occurs when no file is found or the file is invalid.

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json